import { HttpClient } from 'aurelia-fetch-client';
import { EventAggregator } from 'aurelia-event-aggregator';
export declare class LoadingIndicator {
    constructor(eventAggregator: EventAggregator, httpClient: HttpClient);
    start(e: any, random?: boolean): void;
    progress(progression: number): void;
    done(): void;
}
